## golang-github-mesos-mesos-go 0.0.1%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := github.com/mesos/mesos-go
export DH_GOLANG_EXCLUDES = examples

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	## network tests, ignore failures:
	-dh_auto_test
