## golang-github-mesos-mesos-go 0.0.1+dfsg

=== examples/Makefile ===
BIN := scheduler executor zkdetect
.PHONY:
.PHONY: all $(BIN)

all: $(BIN)

$(BIN):
	mkdir -p _output
	godep go build -o _output/$@ ./$@
