=== debian/changelog ===
golang-github-mesos-mesos-go (0.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release [September 2015].
  * Build-Depends += "golang-objx-dev".
  * rules: added "DH_GOLANG_EXCLUDES = examples".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 Sep 2015 13:05:23 +1000

golang-github-mesos-mesos-go (0.0~git20150903.0.d98afa6-1) unstable; urgency=medium

  * Initial release (Closes: #798129).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 Sep 2015 01:11:41 +1000
