=== debian/control ===
Source: golang-github-mesos-mesos-go
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-gogoprotobuf-dev | golang-github-gogo-protobuf-dev,
               golang-glog-dev | golang-github-golang-glog-dev,
               golang-github-pborman-uuid-dev,
               golang-github-samuel-go-zookeeper-dev,
               golang-objx-dev | golang-github-stretchr-objxy-dev,
               golang-testify-dev | golang-github-stretchr-testify-dev,
               golang-golang-x-net-dev
Standards-Version: 3.9.6
Homepage: https://github.com/mesos/mesos-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-mesos-mesos-go.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-mesos-mesos-go.git

Package: golang-github-mesos-mesos-go-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-gogoprotobuf-dev | golang-github-gogo-protobuf-dev,
         golang-glog-dev | golang-github-golang-glog-dev,
         golang-github-pborman-uuid-dev,
         golang-github-samuel-go-zookeeper-dev,
         golang-objx-dev | golang-github-stretchr-objxy-dev,
         golang-testify-dev | golang-github-stretchr-testify-dev,
         golang-golang-x-net-dev
Built-Using: ${misc:Built-Using}
Description: Go language bindings for Apache Mesos
 Pure Go language bindings for Apache Mesos. As with other pure
 implementation, mesos-go uses the HTTP wire protocol to communicate
 directly with a running Mesos master and its slave instances. One of the
 objectives of this project is to provide an idiomatic Go API that makes it
 super easy to create Mesos frameworks using Go.
