=== debian/changelog ===
golang-github-mesos-mesos-go (0.0.2+dfsg-3) unstable; urgency=medium

  [ Tim Potter ]
  * Team upload.
  * Add me to uploaders

  [ Michael Stapelberg ]
  * Switch to XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 09 Feb 2018 09:32:56 +0100

golang-github-mesos-mesos-go (0.0.2+dfsg-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Dmitry Smirnov ]
  * New "offline.patch" to disable networking tests (Closes: #830675)
  * rules: do not ignore failing tests.
  * (Build-)Depends: removed transitional alternatives.
  * Standards-Version: 3.9.8
  * Removed Built-Using field.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Jul 2016 23:46:54 +1000

golang-github-mesos-mesos-go (0.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2015].
  * (Build-)Depends:
    - golang-testify-dev | golang-github-stretchr-testify-dev
    + golang-github-stretchr-testify-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 03 Mar 2016 23:40:20 +1100
