=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOLANG_EXCLUDES = examples

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	dh_auto_test --max-parallel=1
