=== debian/changelog ===
golang-github-mesos-mesos-go (0.0.6+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
    Fixes lintian: uses-debhelper-compat-file
    See https://lintian.debian.org/tags/uses-debhelper-compat-file.html for more details.
  * Remove patches offline.patch that are missing from debian/patches/series.
    Fixes lintian: patch-file-present-but-not-mentioned-in-series
    See https://lintian.debian.org/tags/patch-file-present-but-not-mentioned-in-series.html for more details.

  [ Shengjing Zhu ]
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Replace golang-go with golang-any.
    And Remove golang-go from -dev Depends
  * Update Standards-Version to 4.5.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Feb 2020 14:32:46 +0800

golang-github-mesos-mesos-go (0.0.6+dfsg-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream release.
  * Testsuite: autopkgtest-pkg-go
  * Priority: optional; Standards-Version: 4.4.1
  * DH & compat to version 12.
  * (Build-)Depends += "golang-github-pquerna-ffjson-dev".
  * rules: DH_GOLANG_GO_GENERATE := 1

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 16 Oct 2019 12:53:28 +1100
