=== debian/control ===
Source: golang-github-mesos-mesos-go
Section: devel
Priority: optional
Standards-Version: 4.5.0
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
    golang-github-gogo-protobuf-dev,
    golang-glog-dev | golang-github-golang-glog-dev,
    golang-github-pborman-uuid-dev,
    golang-github-pquerna-ffjson-dev,
    golang-github-samuel-go-zookeeper-dev,
    golang-github-stretchr-objx-dev,
    golang-github-stretchr-testify-dev,
    golang-golang-x-net-dev
Homepage: https://github.com/mesos/mesos-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mesos-mesos-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mesos-mesos-go.git
XS-Go-Import-Path: github.com/mesos/mesos-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-mesos-mesos-go-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-gogo-protobuf-dev,
    golang-glog-dev | golang-github-golang-glog-dev,
    golang-github-pborman-uuid-dev,
    golang-github-pquerna-ffjson-dev,
    golang-github-samuel-go-zookeeper-dev,
    golang-github-stretchr-objx-dev,
    golang-github-stretchr-testify-dev,
    golang-golang-x-net-dev
Description: Go language bindings for Apache Mesos
 Pure Go language bindings for Apache Mesos. As with other pure
 implementation, mesos-go uses the HTTP wire protocol to communicate
 directly with a running Mesos master and its slave instances. One of the
 objectives of this project is to provide an idiomatic Go API that makes it
 super easy to create Mesos frameworks using Go.
