=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DH_GOLANG_EXCLUDES = examples
+export DH_GOLANG_GO_GENERATE := 1
+
+export DH_GOLANG_EXCLUDES = api/v0/examples api/v1/cmd
 
 %:
 	dh $@ --buildsystem=golang --with=golang
